FinleyElements.cpp File Reference
`#include <weipa/FinleyElements.h>`
`#include <weipa/NodeData.h>`
`#include <iostream>`

## Namespaces

| weipa

## Functions

bool | weipa::inside1D (float x, float c, float r)
bool | weipa::inside2D (float x, float y, float cx, float cy, float r)
bool | weipa::inside3D (float x, float y, float z, float cx, float cy, float cz, float r)
bool | weipa::sameSide (float d1, float d2)
static float | weipa::det4x4 (float m_00, float m_01, float m_02, float m_03, float m_10, float m_11, float m_12, float m_13, float m_20, float m_21, float m_22, float m_23, float m_30, float m_31, float m_32, float m_33)
static bool | weipa::pointInTet (float x, float y, float z, const float *p0, const float *p1, const float *p2, const float *p3)
static bool | weipa::pointInTri (float x, float y, const float *p0, const float *p1, const float *p2)

## Variables

static const size_t | line3indices [2 *2]
static const size_t | tri6indices [4 *3]
static const size_t | rec8indices [6 *3]
static const size_t | rec9indices [4 *4]
static const size_t | tet10indices [8 *4]
static const size_t | hex20indices [36 *3]
static const size_t | hex27indices [8 *8]

## Variable Documentation

## hex20indices

const size_t hex20indices[36 *3]

static

Initial value:
= {
0, 8, 12, 8, 1, 13, 13, 5, 16,
16, 4, 12, 8, 13, 16, 8, 16, 12,
1, 9, 13, 9, 2, 14, 14, 6, 17,
17, 5, 13, 9, 14, 17, 9, 17, 13,
2, 10, 14, 10, 3, 15, 15, 7, 18,
18, 14, 6, 10, 15, 18, 10, 18, 14,
3, 11, 15, 11, 0, 12, 12, 4, 19,
19, 7, 15, 11, 12, 19, 11, 19, 15,
4, 16, 19, 16, 5, 17, 17, 6, 18,
18, 7, 19, 16, 17, 18, 16, 18, 19,
3, 10, 11, 10, 2, 9, 9, 1, 8,
8, 0, 11, 10, 9, 8, 10, 8, 11
}

Referenced by weipa::FinleyElements::writeToSilo().

## hex27indices

const size_t hex27indices[8 *8]

static

Initial value:
= {
0, 8, 20, 11, 12, 21, 26, 24,
8, 1, 9, 20, 21, 13, 22, 26,
11, 20, 10, 3, 24, 26, 23, 15,
20, 9, 2, 10, 26, 22, 14, 23,
12, 21, 26, 24, 4, 16, 25, 19,
21, 13, 22, 26, 16, 5, 17, 25,
24, 26, 23, 15, 19, 25, 18, 7,
26, 22, 14, 23, 25, 17, 6, 18
}

Referenced by weipa::FinleyElements::writeToSilo().

## line3indices

const size_t line3indices[2 *2]

static

Initial value:
= {
0, 2,
2, 1
}

Referenced by weipa::FinleyElements::writeToSilo().

## rec8indices

const size_t rec8indices[6 *3]

static

Initial value:
= {
0, 4, 7,
4, 1, 5,
5, 2, 6,
6, 3, 7,
7, 5, 6,
7, 4, 5
}

Referenced by weipa::FinleyElements::writeToSilo().

## rec9indices

const size_t rec9indices[4 *4]

static

Initial value:
= {
0, 4, 8, 7,
4, 1, 5, 8,
7, 8, 6, 3,
8, 5, 2, 6
}

Referenced by weipa::FinleyElements::writeToSilo().

## tet10indices

const size_t tet10indices[8 *4]

static

Initial value:
= {
6, 4, 0, 7,
6, 5, 4, 8,
5, 1, 4, 8,
9, 8, 7, 3,
2, 5, 6, 9,
8, 9, 5, 6,
6, 7, 9, 8,
6, 4, 7, 8
}

Referenced by weipa::FinleyElements::buildQuadMask(), and weipa::FinleyElements::writeToSilo().

## tri6indices

const size_t tri6indices[4 *3]

static

Initial value:
= {
0, 3, 5,
5, 4, 2,
3, 1, 4,
4, 5, 3
}

Referenced by weipa::FinleyElements::buildQuadMask(), and weipa::FinleyElements::writeToSilo().